Mailinglist Archive: opensuse-bugs (3354 mails)

< Previous Next >
[Bug 981750] [synaptics] TW20160524: driver pulled in automatically but it should not
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 29 May 2016 10:20:48 +0000
  • Message-id: <bug-981750-21960-7gnhvRk1kL@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=981750
http://bugzilla.opensuse.org/show_bug.cgi?id=981750#c11

Egbert Eich <eich@xxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|CONFIRMED |RESOLVED
Resolution|--- |FIXED

--- Comment #11 from Egbert Eich <eich@xxxxxxxx> ---
Right.
There is no command rpm -q --whatrecommends/--whatsuggests CAPABILITY in rpm
4.12.
This will be introduced in rpm 4.13 which is still in rc1 state according to:
ww.rpm.org/wiki/Releases/4.13.0

Currently, the only way to emulate this is:
for i in $(rpm -qa); do rpm -q --recommends $i | grep -q CAPABILITY && echo $i;
done
For CAPABILITIES set to xorg-x11-driver-input this turns up:
patterns-openSUSE-x11-20151112-12.1.x86_64
on my system.
When I do the same for xf86-input-synpatics, nothing is returned.
When I do 'rpm -q --whatrequires xf86-input-synpatics' I get:
xorg-x11-driver-input-7.6_1-13.1.noarch
This explains why we have the synaptics driver. Furthermore it shows that the
xorg-x11-driver-input package is still required.
Therefore my changes (modulo the change for evdev) should resolve this issue.

Submitted to Factory: SR#398703.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >